%{?mingw_package_header}

%global win32_shared_dir %{_builddir}/mingw32-%{name}-%{version}-%{release}
%global win32_static_dir %{_builddir}/mingw32-%{name}-static-%{version}-%{release}
%global win64_shared_dir %{_builddir}/mingw64-%{name}-%{version}-%{release}
%global win64_static_dir %{_builddir}/mingw64-%{name}-static-%{version}-%{release}

%global pkgname glew

Name:          mingw-%{pkgname}
Version:       1.13.0
Release:       %mkrel 1
Summary:       MinGW Windows GLEW library
License:       BSD and MIT
Group:         Development/Other
BuildArch:     noarch
URL:           http://glew.sourceforge.net
Source0:       http://downloads.sourceforge.net/project/glew/glew/%{version}/glew-%{version}.tgz
# Fix config for mingw build
Patch0:        glew-1.13.0_makefile-mingw.patch
# Don't strip on install
Patch1:        glew-1.13.0_nostrip.patch

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc


%description
MinGW Windows GLEW library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows GLEW library

%description -n mingw32-%{pkgname}
MinGW Windows GLEW library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of MinGW Windows GLEW library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of MinGW Windows GLEW library.


%package -n mingw32-%{pkgname}-tools
Summary:       Tools for the MinGW Windows GLEW library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
Tools for the MinGW Windows GLEW library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows GLEW library

%description -n mingw64-%{pkgname}
MinGW Windows GLEW library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of MinGW Windows GLEW library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of MinGW Windows GLEW library.


%package -n mingw64-%{pkgname}-tools
Summary:       Tools for the MinGW Windows GLEW library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
Tools for the MinGW Windows GLEW library.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}
%autopatch -p1

# No real reason why GLES_DEST and GLEW_PREFIX are spearate
sed -i 's|GLEW_DEST|GLEW_PREFIX|g' Makefile

%build
cp -a . %{win32_shared_dir}
cp -a . %{win32_static_dir}
cp -a . %{win64_shared_dir}
cp -a . %{win64_static_dir}

pushd %{win32_shared_dir}
%{mingw32_make} %{?_smp_mflags} SYSTEM=mingw \
    CFLAGS.EXTRA="$CFLAGS $CXXFLAGS" STRIP= \
    GLEW_PREFIX=%{mingw32_prefix} DESTDIR=%{buildroot}
popd

pushd %{win32_static_dir}
%{mingw32_make} %{?_smp_mflags} SYSTEM=mingw-static \
    CFLAGS.EXTRA="$CFLAGS $CXXFLAGS" STRIP= \
    GLEW_PREFIX=%{mingw32_prefix} DESTDIR=%{buildroot}
popd

pushd %{win64_shared_dir}
%{mingw64_make} %{?_smp_mflags} SYSTEM=mingw \
    CFLAGS.EXTRA="$CFLAGS $CXXFLAGS" STRIP= \
    GLEW_PREFIX=%{mingw64_prefix} DESTDIR=%{buildroot}
popd

pushd %{win64_static_dir}
%{mingw64_make} %{?_smp_mflags} SYSTEM=mingw-static \
    CFLAGS.EXTRA="$CFLAGS $CXXFLAGS" STRIP= \
    GLEW_PREFIX=%{mingw64_prefix} DESTDIR=%{buildroot}
popd


%install
pushd %{win32_shared_dir}
%{mingw32_make} install.all SYSTEM=mingw STRIP= \
    GLEW_PREFIX="%{mingw32_prefix}" DESTDIR=%{buildroot}
popd

pushd %{win32_static_dir}
%{mingw32_make} install.all SYSTEM=mingw-static STRIP= \
    GLEW_PREFIX="%{mingw32_prefix}" DESTDIR=%{buildroot}
popd

pushd %{win64_shared_dir}
%{mingw64_make} install.all SYSTEM=mingw STRIP= \
    GLEW_PREFIX="%{mingw64_prefix}" DESTDIR=%{buildroot}
popd

pushd %{win64_static_dir}
%{mingw64_make} install.all SYSTEM=mingw-static STRIP= \
    GLEW_PREFIX="%{mingw64_prefix}" DESTDIR=%{buildroot}
popd


%files -n mingw32-%{pkgname}
%doc LICENSE.txt
%{mingw32_bindir}/glew32.dll
%{mingw32_bindir}/glew32mx.dll
%{mingw32_libdir}/pkgconfig/glew.pc
%{mingw32_libdir}/pkgconfig/glewmx.pc
%{mingw32_includedir}/GL/glew.h
%{mingw32_includedir}/GL/glxew.h
%{mingw32_includedir}/GL/wglew.h
%{mingw32_libdir}/libglew32.dll.a
%{mingw32_libdir}/libglew32mx.dll.a

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libglew32.a
%{mingw32_libdir}/libglew32mx.a

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/glewinfo.exe
%{mingw32_bindir}/visualinfo.exe

%files -n mingw64-%{pkgname}
%doc LICENSE.txt
%{mingw64_bindir}/glew32.dll
%{mingw64_bindir}/glew32mx.dll
%{mingw64_libdir}/pkgconfig/glew.pc
%{mingw64_libdir}/pkgconfig/glewmx.pc
%{mingw64_includedir}/GL/glew.h
%{mingw64_includedir}/GL/glxew.h
%{mingw64_includedir}/GL/wglew.h
%{mingw64_libdir}/libglew32.dll.a
%{mingw64_libdir}/libglew32mx.dll.a

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libglew32.a
%{mingw64_libdir}/libglew32mx.a

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/glewinfo.exe
%{mingw64_bindir}/visualinfo.exe




%changelog
* Thu Apr 07 2016 tv <tv> 1.13.0-1.mga6
+ Revision: 999140
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 943231
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 750084
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 682439
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 536201
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.10.0-2.mga4
+ Revision: 483645
- imported package mingw-glew

